petsc-3.7.1 2016-05-15
Report Typos and Errors

# ISBlockSetIndices

The indices are relative to entries, not blocks.

### Synopsis

    #include "petscis.h"
    PetscErrorCode  ISBlockSetIndices(IS is,PetscInt bs,PetscInt n,const PetscInt idx[],PetscCopyMode mode)

Collective on IS Many br

### Input Parameters

| is | - the index set Many br
| bs | - number of elements in each block, one for each block and count of block not indices Many br
| n | - the length of the index set (the number of blocks) Many br
| idx | - the list of integers, these are by block, not by location Many br+ mode - see PetscCopyMode, only PETSC_COPY_VALUES and PETSC_OWN_POINTER are supported Many br

### Notes

When the communicator is not MPI_COMM_SELF, the operations on the Many brindex sets, IS, are NOT conceptually the same as MPI_Group operations. Many brThe index sets are then distributed sets of indices and thus certain operations Many bron them are collective. Many br

### Example

If you wish to index the values {0,1,4,5}, then use Many bra block size of 2 and idx of {0,2}. Many br

Many br

### See Also

ISCreateStride(), ISCreateGeneral(), ISAllGather()

Level:beginner
Location:src/vec/is/is/impls/block/block.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages